## ros-noetic-openslam-gmapping 0.2.1

=== Makefile ===
-include ./global.mk

ifeq ($(CARMENSUPPORT),1)
SUBDIRS=utils  sensor log configfile scanmatcher carmenwrapper gridfastslam gui gfs-carmen 
else
ifeq ($(MACOSX),1)
SUBDIRS=utils sensor log configfile scanmatcher gridfastslam 
else
SUBDIRS=utils sensor log configfile scanmatcher gridfastslam gui 
endif
endif

LDFLAGS+=
CPPFLAGS+= -I../sensor

-include ./build_tools/Makefile.subdirs

=== carmenwrapper/Makefile ===
OBJS= carmenwrapper.o
APPS= 

LIBS+= -L$(CARMEN_HOME)/lib -lnavigator_interface -lsimulator_interface -lrobot_interface -llaser_interface -lparam_interface -lglobal -lipc -lm -lutils -lsensor_range -llog -lscanmatcher -lpthread -lz
CPPFLAGS+=-I../sensor -I$(CARMEN_HOME)/include

-include ../global.mk

ifeq ($(CARMENSUPPORT), 0)
OBJS=
	-include ../build_tools/Makefile.app
else
	-include ../build_tools/Makefile.generic-shared-object
endif

=== configfile/Makefile ===
OBJS= configfile.o 
APPS= configfile_test 

-include ../global.mk
-include ../build_tools/Makefile.generic-shared-object

=== gridfastslam/Makefile ===
OBJS= gridslamprocessor_tree.o motionmodel.o gridslamprocessor.o gfsreader.o
APPS= gfs2log gfs2rec gfs2neff #gfs2stat

#LDFLAGS+= -lutils -lsensor_range -llog -lscanmatcher -lsensor_base -lsensor_odometry $(GSL_LIB)
LDFLAGS+=  -lscanmatcher -llog -lsensor_range -lsensor_odometry -lsensor_base -lutils
#CPPFLAGS+=-I../sensor $(GSL_INCLUDE)
CPPFLAGS+=-I../sensor

-include ../global.mk
-include ../build_tools/Makefile.generic-shared-object

=== sensor/sensor_odometry/Makefile ===
-include ../../global.mk

#CPPFLAGS+= -I..
LDFLAGS+= -lsensor_base

OBJS= odometrysensor.o odometryreading.o

-include ../../build_tools/Makefile.generic-shared-object

=== sensor/sensor_range/Makefile ===
-include ../../global.mk

CPPFLAGS+= -I../ 
LDFLAGS+= -lsensor_base

OBJS= rangesensor.o rangereading.o 

-include ../../build_tools/Makefile.generic-shared-object

=== debian/changelog ===
ros-noetic-openslam-gmapping (0.2.1-1buster) buster; urgency=high

  * CMakeLists.txt: fix install command (install libs, install includes to corrrect position as well as hxx (#30 <https://github.com/ros-perception/openslam_gmapping/issues/30>)
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 09 Jul 2019 15:00:00 -0000

ros-noetic-openslam-gmapping (0.2.0-1buster) buster; urgency=high

  * update license to BSD-3 (#29 <https://github.com/ros-perception/openslam_gmapping/issues/29>)
    
      * update maintainer to ROS Orphaned Package Maintainers
      * Cleanup of cmake and package.xml
      * remove compile error
    /home/user/gmapping_ws/src/openslam_gmapping/gridfastslam/gfs2rec.cpp: In member function ‘virtual void ResampleRecord::read(std::istream&)’:
    /home/user/gmapping_ws/src/openslam_gmapping/gridfastslam/gfs2rec.cpp:148:17: error: redeclaration of ‘unsigned int i’
    unsigned int i;
    ^
    /home/user/gmapping_ws/src/openslam_gmapping/gridfastslam/gfs2rec.cpp:147:21: error: ‘unsigned int i’ previously declared here
    for (unsigned int i=0; i< dim; i++){
    ^
    make[2]: *** [CMakeFiles/gfs2rec.dir/gridfastslam/gfs2rec.cpp.o] Error 1
    make[1]: *** [CMakeFiles/gfs2rec.dir/all] Error 2
    make[1]: *** Waiting for unfinished jobs....
    * update for NANs, comply with REP117
    * apply missing patches
    * update cpp header location in #include directive
    for fullfile in $(cd include/; find gmapping/ -type f -print); do headerfile=$(basename $fullfile); echo $fullfile; for targetfile in $(find . -type f -not -path "*/.git/*" -print); do sed -i "s@(["<])$headerfile([>"])@1$fullfile2@g" $targetfile | grep $headerfile; done; done
    for fullfile in $(cd include/; find gmapping/ -type f -print); do headerfile=$(basename $fullfile); for targetfile in $(find . -type f -not -path "*/.git/*" -print); do sed -i "s@(["<])[a-z0-9_/]*/$headerfile([>"])@1$fullfile2@g" $targetfile | grep $headerfile; done; done
    * move cpp header fiels to include directory, by
    find . -iname *.h* -print -exec bash -c 'file={}; dir=; mkdir -p include/gmapping//; git mv  include/gmapping//' ;
    * catkinize package CMakeLists.txt package.xml
  * Forked from original openslam_gmapping package (https://github.com/OpenSLAM-org/openslam_gmapping/tree/79ef0b0e6d9a12d6390ae64c4c00d37d776abefb
  * Contributors: Kei Okada, Michael Ferguson, Mike Ferguson, William Woodall, grisetti, stachnis

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 06 Jul 2019 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-openslam-gmapping
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://openslam.org/gmapping
Standards-Version: 3.9.2

Package: ros-noetic-openslam-gmapping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: The catkinized verseion of openslam_gmapping package (https://github.com/OpenSLAM-org/openslam_gmapping/tree/79ef0b0e6d9a12d6390ae64c4c00d37d776abefb)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-openslam-gmapping//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
